;; $Id: dbparam.dsl 1.0 1997/12/30 17:48:14 nwalsh Exp $
;;
;; This file is part of the Modular DocBook Stylesheet distribution.
;; See ../README or http://www.berkshire.net/~norm/dsssl/
;;

;; ------------------------------ Parameters ------------------------------

;; Refentry generate name indicates whether or not the word "NAME "
;; should be generated at the start of a REFNAME.
;;
(define %refentry-generate-name% #t)

;; Refentry function indicates whether or not REFENTRYs are for functions.
;; If true, "()" is automatically generated after the title.
;;
(define %refentry-function% #t)

;; I don't really think I've got the ANSI/KandR styles right.  Actually,
;; I'm not sure I remember exactly what each is.  The second edition
;; of KandR uses what I thought was ANSI style...
(define %funcsynopsis-style% 'ansi)
(define %ansi-funcsynopsis-indent% 1pi)

;; Default section level for SimpleSects that occur directly within
;; chapter-level elements
;;
(define %default-simplesect-level% 4)

;; Generate toc indicates whether or not an automatically generated TOC
;; should be included 
;;
(define %generate-toc% #t)

;; Generate chapter toc indicates whether or not an automatically generated
;; chapter TOC should be included 
;;
(define %generate-chapter-toc% #t)

;; Force chapter toc indicates whether or not an automatically generated
;; chapter TOC should be included even if it has only one entry
;;
(define %force-chapter-toc% #f)

;; Generate part toc indicates whether or not an automatically generated
;; part TOC should be included 
;;
(define %generate-part-toc% #t)

;; Generate title page. (What does this mean in HTML???)
;;
(define %generate-titlepage% #t)

;; Put legal notices in another file and link to them.  NOTE: the support for 
;; this handles the case where a single *INFO node contains several
;; distinct legal notices, but won't handle multiple legal notices in different
;; *INFO nodes.  (Each set will overwrite the previous.)  A more complex
;; approach could be implemented, but this is sufficient for the current
;; demand.  Let me know...
;; 
(define %generate-legalnotice-link% #f)
(define %legalnotice-link-file% (string-append "legal" %html-ext%))

;; Save the intended writing mode; we test it for setting lhs or rhs
;; when printing headers on page heads and feet.
;;
(define %writing-mode% 'left-to-right)

;; What extension should be used on HTML files?
;;
(define %html-ext% ".htm")

;; Use ID attributes as name for component HTML files?
;;
(define %use-id-as-filename% #f)

;; If section-autolabel is true, unlabeled sections are automatically
;; numbered
;;
(define %section-autolabel% #f)

;; Should line numbers be printed on linespecific things?
;;
(define %number-synopsis-lines% #f)
(define %number-funcsynopsisinfo-lines% #f)
(define %number-literallayout-lines% #f)
(define %number-address-lines% #f)
(define %number-programlisting-lines% #f)
(define %number-screen-lines% #f)

;; If line numbers are printed, how often should they be printed?
;; (Every %linenumber-mod% lines)
;;
(define %linenumber-mod% 5)

;; Pad the line numbers out to this width (in characters):
;;
(define %linenumber-length% 3)

;; Pad with this character:
;;
(define %linenumber-padchar% " ")

;; Place this sosofo after the line number to separate it from the
;; linespecific listing:
;;
(define ($linenumber-space$) (make entity-ref name: "nbsp"))

;; If callouts are used, and only a line number is given, what column
;; number should be used for that callout?
;;
(define %callout-default-col% 60)

;; If simplelists are presented in a table, how wide should the table
;; columns be?  If left #f, the table becomes as wide as the page which
;; usually makes the columns a little too wide.
;;
;; If not #f, this value should be a string (it will be used in the WIDTH
;; attribute on the TD for each table entry).
;;
(define %simplelist-column-width% #f)

;; The default extension for graphics files.  If FILEREF is used, and
;; the specified filename does not end in one of the %graphic-extensions%,
;; then %graphic-default-extension% will be added to the name.
;;
;; Setting %graphic-default-extension% to #f turns off this feature.
;;
(define %graphic-default-extension% #f)

;; The list of anticipated extensions for graphics files.  If one of these
;; is used, the %graphic-default-extension% will not be added.
;;
(define %graphic-extensions% '("eps" "epsf" "gif" "tif" "tiff" 
				      "jpg" "jpeg"))

;; What public ID are you declaring your HTML compliant with?
(define %html-pubid% "-//W3C//DTD HTML 3.2//EN")

;; What META should be generated?
(define %html-meta-tags% 
  (list
   ;; Creator is handled automatically with %stylesheet-version%
   ;; (list "creator" "DSSSL DocBook to HTML Style Sheet")
   (list "form" "html")))

;; What attributes should be hung off of BODY
(define %body-attr% (list
		     (list "BGCOLOR" "#FFFFFF")
		     (list "TEXT" "#000000")))

;; Should verbatim environments be shaded?  With what attributes on
;; the table used to wrap the shading?
(define %shade-verbatim% #f)
(define %shade-verbatim-attr% (list
			       (list "BORDER" "0")
			       (list "BGCOLOR" "#E0E0E0")
			       (list "WIDTH" "100%")))

;; Should extraneous "P" tags be output to force the correct vertical
;; spacing around things like tables.  This is ugly because different
;; browsers do different things.
(define %spacing-paras% #t)

;; Do you want to use tables for the navigation headers on each document?
(define %gentext-nav-use-tables% #t)

;; If so, how wide do you want them to be?
(define %gentext-nav-tblwidth% "515")

;; Do you want "fast-forward" navigation.  Probably not is my guess.
;; I'm not sure this works real well yet.
(define %gentext-nav-use-ff% #f)

;; ----------------------------------------------------------------------
;;
;; Declare initial values; perhaps more should be done this way...
;;

(declare-initial-value writing-mode 	%writing-mode%)

